# svn_ra_reporter2_t Struct Reference

Similar to `svn_ra_reporter3_t`, but without support for depths. More...

`#include <svn_ra.h>`

## Data Fields
svn_error_t *(* | set_path )(void *report_baton, const char *path, svn_revnum_t revision, svn_boolean_t start_empty, const char *lock_token, apr_pool_t *pool)
| Similar to the corresponding field in `svn_ra_reporter3_t`, but with depth always set to `svn_depth_infinity`.
svn_error_t *(* | delete_path )(void *report_baton, const char *path, apr_pool_t *pool)
| Same as the corresponding field in `svn_ra_reporter3_t`.
svn_error_t *(* | link_path )(void *report_baton, const char *path, const char *url, svn_revnum_t revision, svn_boolean_t start_empty, const char *lock_token, apr_pool_t *pool)
| Similar to the corresponding field in `svn_ra_reporter3_t`, but with depth always set to `svn_depth_infinity`.
svn_error_t *(* | finish_report )(void *report_baton, apr_pool_t *pool)
| Same as the corresponding field in `svn_ra_reporter3_t`.
svn_error_t *(* | abort_report )(void *report_baton, apr_pool_t *pool)
| Same as the corresponding field in `svn_ra_reporter3_t`.

## Detailed Description

Similar to `svn_ra_reporter3_t`, but without support for depths.

Deprecated:
  Provided for backward compatibility with the 1.4 API.

Definition at line 370 of file svn_ra.h.

## Field Documentation

svn_error_t*(* svn_ra_reporter2_t::abort_report)(void *report_baton, apr_pool_t *pool)

Same as the corresponding field in `svn_ra_reporter3_t`.

Definition at line 401 of file svn_ra.h.

svn_error_t*(* svn_ra_reporter2_t::delete_path)(void *report_baton, const char *path, apr_pool_t *pool)

Same as the corresponding field in `svn_ra_reporter3_t`.

Definition at line 382 of file svn_ra.h.

svn_error_t*(* svn_ra_reporter2_t::finish_report)(void *report_baton, apr_pool_t *pool)

Same as the corresponding field in `svn_ra_reporter3_t`.

Definition at line 397 of file svn_ra.h.

svn_error_t*(* svn_ra_reporter2_t::link_path)(void *report_baton, const char *path, const char *url, svn_revnum_t revision, svn_boolean_t start_empty, const char *lock_token, apr_pool_t *pool)

Similar to the corresponding field in `svn_ra_reporter3_t`, but with depth always set to `svn_depth_infinity`.

Definition at line 388 of file svn_ra.h.

svn_error_t*(* svn_ra_reporter2_t::set_path)(void *report_baton, const char *path, svn_revnum_t revision, svn_boolean_t start_empty, const char *lock_token, apr_pool_t *pool)

Similar to the corresponding field in `svn_ra_reporter3_t`, but with depth always set to `svn_depth_infinity`.

Definition at line 374 of file svn_ra.h.

The documentation for this struct was generated from the following file:

- svn_ra.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines